Get Proposed Segmentation Object

Get Proposed Segmentation Object
Get proposed segmentation object

Retrieves detailed information about a specific proposed segmentation object by its unique identifier. The object can be of any type (OTHER, APPLICATION, APPLICATION_TIER, ENVIRONMENT, INFRASTRUCTURE_SERVICE).

Returns the complete configuration including hierarchy tags, type-specific properties, and a list of proposed groups (one per site). The response uses a discriminator to return the appropriate type-specific schema with all relevant properties.

Check the segmentation_object_type field in the response to determine the specific object type.

Request
URI
GET
https://{api_host}/ssp/segmentation/{session-id}/results/proposed-segmentation-objects/{proposed-segmentation-object-id}
COPY
Path Parameters
string
session-id
Required  

Unique identifier of the segmentation session

string
proposed-segmentation-object-id
Required  

Unique identifier of the proposed segmentation object


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved proposed segmentation object

Returns ProposedSegmentationObject of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineProposedSegmentationObject1
{
    "_create_user": "admin",
    "_create_time": 1782155258592,
    "_last_modified_user": "admin",
    "_last_modified_time": 1782155258592,
    "_revision": 0,
    "_resource_type": "string",
    "_system_owned": false,
    "id": "-6286331157426286654",
    "display_name": "USA_Portland_Shared",
    "description": "string",
    "site_ids": [],
    "publish_action": "NONE",
    "segmentation_object_type": "ENVIRONMENT",
    "hierarchy_tags": [
        {
            "scope": "region",
            "tag": "USA"
        },
        {
            "scope": "zone",
            "tag": "Portland"
        },
        {
            "scope": "environment",
            "tag": "Shared"
        }
    ],
    "proposed_groups": [
        {
            "_create_user": "admin",
            "_create_time": 1782155258592,
            "_last_modified_user": "admin",
            "_last_modified_time": 1782155258592,
            "_revision": 0,
            "id": "674239690117385218",
            "display_name": "USA_Portland_Shared",
            "site_ids": [
                "123a456b-123c-456d-89ab-cdef12345678"
            ],
            "group_path": "/infra/domains/default/groups/c348192d-d1f0-37eb-9262-e9feac4a0547",
            "object_count_per_type": [
                {
                    "type": "VIRTUAL_MACHINE",
                    "count": 1
                }
            ],
            "group_action": "CREATE",
            "publish_status_info": {
                "publish_status": "READY_TO_PUBLISH"
            },
            "current_effective_vm_count": 0,
            "projected_effective_vm_count": 1
        }
    ],
    "publish_status": "READY_TO_PUBLISH",
    "parent_id": "-5834291957839695920"
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-segmentation-objects/{proposed-segmentation-object-id}